Subject: License Draft: Tortured text re obligations...

From: "Bob Wyman" <[email-masked]>
Date: Sat, 16 Dec 2006 21:24:58 -0500

There is, I think a bit of tortured text in James Snell's otherwise useful
License ID[1].

1.3. Terminology
...
The term "license" refers to a potentially machine-readable description of
explicit rights, and associated obligations, that have been granted to
consumers of an Atom feed or entry.

The problem is the underlined clause... One can't "grant" an obligation.
(When you have a conjunction, you should be able to scan the sentence with
only one element of the conjunction without losing meaning...) As written,
the sentence can be read by nitpicking lawyers as: "The term 'license'
refers to obligations that have been granted..." Clearly, this isn't the
intent. Thus, I propose the following rewording:

The term "license" refers to a potentially machine-readable description of
explicit rights that have been granted to consumers of an Atom feed or
entry. Rights granted by a license may be associated with obligations which
must be assumed by those exercising those rights.

I realize that this is a bit more wordy than the existing text, however, I
think it better perserves the author's intent. Also, it has the nice
attribute of limiting the discussion of "obligations" to the scope of rights
granted by the licenses -- not rights that might exist in the absence of the
license. Nothing we do should encourage people to use in-feed or in-entry
data to restrict rights which exist independent of an explicit license
grant. Such rights may include fair-use rights, the right to create backups,
the implied right to syndicate, etc. As with Creative Commons licenses, I
believe our goal here should be to provide mechanisms to expand the rights
granted -- not to restrict them.

 bob wyman

[1]
http://www.ietf.org/internet-drafts/draft-snell-atompub-feed-license-10.txt

---

From: Mike Linksvayer <[email-masked]>
Date: Sat, 16 Dec 2006 19:35:39 -0800

On Sat, 2006-12-16 at 21:24 -0500, Bob Wyman wrote:

> I realize that this is a bit more wordy than the existing text,
> however, I think it better perserves the author's intent. Also, it has
> the nice attribute of limiting the discussion of "obligations" to the
> scope of rights granted by the licenses -- not rights that might exist
> in the absence of the license. Nothing we do should encourage people
> to use in-feed or in-entry data to restrict rights which exist
> independent of an explicit license grant. Such rights may include
> fair-use rights, the right to create backups, the implied right to
> syndicate, etc. As with Creative Commons licenses, I believe our goal
> here should be to provide mechanisms to expand the rights granted --
> not to restrict them. 
> 
I agree with Bob's suggested change.

Draft 10 is looking very good from my perspective.
-- 
  http://wiki.creativecommons.org/User:Mike_Linksvayer

---

From: James M Snell <[email-masked]>
Date: Sat, 16 Dec 2006 21:21:49 -0800

+1. Another good edit.  I've started working on draft 11 with these edits.

- James

Bob Wyman wrote:
> There is, I think a bit of tortured text in James Snell's otherwise
> useful License ID[1].
> 
>     1.3. Terminology
>     ...
>     The term "license" refers to a potentially machine-readable
>     description of explicit rights, and associated obligations, that
>     have been granted to consumers of an Atom feed or entry.
> 
> (When you have a conjunction, you should be able to scan the sentence
> with only one element of the conjunction without losing meaning...) As
> written, the sentence can be read by nitpicking lawyers as: "The term
> 'license' refers to obligations that have been granted..." Clearly, this
> isn't the intent. Thus, I propose the following rewording:
> 
>     The term "license" refers to a potentially machine-readable
>     description of explicit rights that have been granted to consumers
>     of an Atom feed or entry. Rights granted by a license may be
>     associated with obligations which must be assumed by those
>     exercising those rights.
> 
> I realize that this is a bit more wordy than the existing text, however,
> I think it better perserves the author's intent. Also, it has the nice
> attribute of limiting the discussion of "obligations" to the scope of
> rights granted by the licenses -- not rights that might exist in the
> absence of the license. Nothing we do should encourage people to use
> in-feed or in-entry data to restrict rights which exist independent of
> an explicit license grant. Such rights may include fair-use rights, the
> right to create backups, the implied right to syndicate, etc. As with
> Creative Commons licenses, I believe our goal here should be to provide
> mechanisms to expand the rights granted -- not to restrict them.
> 
>  bob wyman
> 
> [1]

---

From: Karl Dubost <[email-masked]>
Date: Mon, 18 Dec 2006 15:22:29 +0900

Le 17 déc. 2006 à 11:24, Bob Wyman a écrit :
> 1.3. Terminology bob wyman
>
> [1] http://www.ietf.org/internet-drafts/draft-snell-atompub-feed- 
> license-10.txt
>

+1

-- 
Karl Dubost - http://www.w3.org/People/karl/
W3C Conformance Manager, QA Activity Lead
   QA Weblog - http://www.w3.org/QA/
      *** Be Strict To Be Cool ***